From 23ed43231e4d8a0a069c0d344e75e25b4969ab81 Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Wed, 17 Apr 2024 10:42:21 -0400
Subject: [PATCH v1] docs: Mention that pg_combinebackup does not verify
 backups.

We don't want users to think that pg_combinebackup is trying to check
the validity of individual backups, because it isn't. Adjust the wording
about sanity checks to make it clear that verification of individual
backups is the job of pg_verifybackup, and that the checks performed
by pg_combinebackup are around the relationships between the backups.

Per discussion with David Steele.

Discussion: http://postgr.es/m/f1a4b02e-f6cd-412d-8ea7-9f3fb3fdcc8b@pgmasters.net
---
 doc/src/sgml/ref/pg_combinebackup.sgml | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/ref/pg_combinebackup.sgml b/doc/src/sgml/ref/pg_combinebackup.sgml
index 658e9a759c..c28012996b 100644
--- a/doc/src/sgml/ref/pg_combinebackup.sgml
+++ b/doc/src/sgml/ref/pg_combinebackup.sgml
@@ -45,12 +45,16 @@ PostgreSQL documentation
   </para>
 
   <para>
-   Although <application>pg_combinebackup</application> will attempt to verify
+   <application>pg_combinebackup</application> will attempt to verify
    that the backups you specify form a legal backup chain from which a correct
-   full backup can be reconstructed, it is not designed to help you keep track
-   of which backups depend on which other backups. If you remove the one or
-   more of the previous backups upon which your incremental
-   backup relies, you will not be able to restore it.
+   full backup can be reconstructed. However, it is not designed to help you
+   keep track of which backups depend on which other backups. If you remove
+   the one or more of the previous backups upon which your incremental
+   backup relies, you will not be able to restore it. Moreover,
+   <application>pg_basebackup</application> only attempts to verify that the
+   backups have the correct relationship to each other, not that each
+   individual backup is intact; for that, use
+   <xref linkend="app-pgverifybackup" />.
   </para>
 
   <para>
-- 
2.39.3 (Apple Git-145)

